Bug 553644 - [abrt] crash in pulseaudio-0.9.21-2.fc12 (malloc/segfault/pa_hashmap_new)
[abrt] crash in pulseaudio-0.9.21-2.fc12 (malloc/segfault/pa_hashmap_new)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
abrt_hash:85842cbe4d90f116795c8e47cc2...
:
: 550254 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-08 09:18 EST by Tore H. Larsen
Modified: 2010-12-03 19:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 19:42:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.75 KB, text/plain)
2010-01-08 09:18 EST, Tore H. Larsen
no flags Details
abrt log about the crash bug to be reported but then cancelled because there already was the same crash reported (22.38 KB, text/plain)
2010-01-09 09:43 EST, zimon
no flags Details

  None (edit)
Description Tore H. Larsen 2010-01-08 09:18:04 EST
abrt 1.0.3 detected a crash.

How to reproduce
-----
1. 
2.
3.


Attached file: backtrace
cmdline: /usr/bin/pulseaudio --start --log-target=syslog
component: pulseaudio
executable: /usr/bin/pulseaudio
kernel: 2.6.31.9-174.fc12.x86_64
package: pulseaudio-0.9.21-2.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)
Comment 1 Tore H. Larsen 2010-01-08 09:18:06 EST
Created attachment 382475 [details]
File: backtrace
Comment 2 Lennart Poettering 2010-01-08 15:58:54 EST
Hmm, this seems to related to some memory corruption.

Tore, any idea how this could be reproduced?

Otherwise this backtrace is unfortunately not useful for tracking down this memory corruption and I'd have to close this bug without fixing it.
Comment 3 Tore H. Larsen 2010-01-08 17:06:22 EST
I was playing with LiveResponse.exe from Kayako SupportSuite (Winapp) http://hotfix.kayako.com/winapp/Kayako_WinApp-STABLE-3.1.1.36.exe under latest Wine i686. Had to install gecko using winetricks. Wine used pulse. LiveResponse.exe crashed.

Would a core of "wine LiveResponse.exe" help?
Comment 4 Lennart Poettering 2010-01-08 17:22:41 EST
(In reply to comment #3)
> I was playing with LiveResponse.exe from Kayako SupportSuite (Winapp)
> http://hotfix.kayako.com/winapp/Kayako_WinApp-STABLE-3.1.1.36.exe under latest
> Wine i686. Had to install gecko using winetricks. Wine used pulse.
> LiveResponse.exe crashed.

Can you reproduce the crash?
Comment 5 Tore H. Larsen 2010-01-08 17:57:35 EST
Btw, I also did install LiveResponseSIP.exe (VoIP) plugin for LiveResponse. It failed during install, but when I start LiveResponse, VoIP config is in options panel. Tried regreating it, but not so far.
Comment 6 zimon 2010-01-09 09:43:18 EST
Created attachment 382654 [details]
abrt log about the crash bug to be reported but then cancelled because there already was the same crash reported

Well, abrt created the crash report, but then when reporting it noticed the same crash has already been reported.

The situation how the crash happens is somewhat different and I can reproduce it (at least 5 times now) just by trying to attach a2dp headset device to the system.

The attachmeant has the other info about how, when, stuff what abrt collected.
Comment 7 Bug Zapper 2010-11-03 21:32:49 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Karel Klíč 2010-11-10 11:24:08 EST
*** Bug 550254 has been marked as a duplicate of this bug. ***
Comment 9 Bug Zapper 2010-12-03 19:42:11 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.